Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
Zulk RS

Looking for an older version of GZDoom.

Recommended Posts

Posted (edited)

Hey, I was looking to download GZDoom 2.8 (The same version Zandronum 3.0 uses)  but I can't find it. A little help?

Edited by Zulk RS

Share this post


Link to post
Posted (edited)

Are you sure it's GZDoom? Anything I search up comes up with ZDoom 2.8 instead. Even the GZDoom binary archive does not contain that version.

 

EDIT: Yeah, it's ZDoom 2.8pre-441-g458e1b1 / GZDoom 1.8.6, according to Torr. You can find GZDoom 1.8.6 in the archive I linked above here.

 

Share this post


Link to post

No, I'm not 100% sure. I think it's 2.8 because when I fire up Zandronum 3.0 and go to the console, 2.8pre-something is written in the console.

Share this post


Link to post
Just now, Zulk RS said:

No, I'm not 100% sure. I think it's 2.8 because when I fire up Zandronum 3.0 and go to the console, 2.8pre-something is written in the console.

 

I'm basing my info off of this. It's either ZDoom 2.8, or GZDoom 1.8.6. Regardless, both can be found easily on the Downloads page at ZDoom.

Share this post


Link to post

Ah! So the 2.8 was for ZDoom and I mistook it for GZDoom. Thanks. Now I can find it.

Share this post


Link to post

What for? That ancient GZDoom version is based on a ZDoom 2.7.1 devbuild while ZDoom LE 2.8.2a also has an old GL renderer compatible with GL 1.x cards.

Share this post


Link to post

To play an old mod that doesn't work as intended in the latest GZDoom

Share this post


Link to post
Posted (edited)

No, because it was updated but... You know what it's a long story so I'll just put it in a spoiler.

Spoiler

I make Let's Plays of Doom wads/mods on YT. In a lot of my videos I talk about Prodoomer a lot. I thought I'd finally play the mod on the channel and just make a detailed rant on the mod. The version I talk about is V2. Prodoomer got updated to V3 which I assume runs on the latest GZDoom versions. The reason I'm purposely playing an older and worse version of a mod is because I believe that V2 is such a unique kind of bad mod that it needs to be seen. V3 fixed a major issue but judging by the fact that it starts off with a very frustrating boss-fight where, the whole mod will be glitched if you press something during the cutscene that will start playing upon winning the boss-fight, and that most of levels seem unchanged, I'd say it's not enough to make it good. It just lost it's unique kind of badness.

 

Hence, I'm playing V2 which needs an older version of GZDoom to work.

 

The series in question is:

 

 

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×